description

# RawSocketEvent class Null safety

Events for the RawSocket.

These event objects are by the Stream behavior of RawSocket (for example RawSocket.listen, RawSocket.forEach) when the socket's state change.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Constants

CLOSED → const RawSocketEvent
  @Deprecated("Use closed instead")
  `closed`
closed → const RawSocketEvent
  An event indicates the socket is closed.
  `const RawSocketEvent._(3)`
READ → const RawSocketEvent
  @Deprecated("Use read instead")
  `read`
read → const RawSocketEvent
  An event indicates the socket is ready to be read.
  `const RawSocketEvent._(0)`
READ_CLOSED → const RawSocketEvent
  @Deprecated("Use readClosed instead")
  `readClosed`
readClosed → const RawSocketEvent
  An event indicates the reading from the socket is closed
  `const RawSocketEvent._(2)`
WRITE → const RawSocketEvent
  @Deprecated("Use write instead")
  `write`
write → const RawSocketEvent
  An event indicates the socket is ready to write.
  `const RawSocketEvent._(1)`